Subject: Re: [PATCH nf-next] netns: add and use net_ns_barrier

From: Florian Westphal <[email-masked]>
Date: Tue, 13 Jun 2017 08:16:56 +0200

Cong Wang <[email-masked]> wrote:
> On Thu, Jun 1, 2017 at 1:52 AM, Florian Westphal <[email-masked]> wrote:
> > Joe described it nicely, problem is that after unload we may have
> > conntracks that still have a nf_conn_help extension attached that
> > has a pointer to a structure that resided in the (unloaded) module.
> 
> Why not hold a refcnt for its module?

That would work as well.

I'm not sure its nice to disallow rmmod of helper modules if they are
used by a connection however.

Right now you can "rmmod nf_conntrack_foo" at any time and this should
work just fine without first having to flush affected conntracks
manually.